<script type="text/javascript">
$(function(){
	$('#dialogLiberarSistema').dialog({autoOpen: false, width: 500, modal:true});
});
function liberar(cliente, sistema){
	$('#clienteLib').val(cliente);
	$('#sistemaLib').val(sistema);
	$('#dialogLiberarSistema').dialog('open');
}
function liberarSistema(){
	var motivo = $('#motivoLibSis').val();
	if(motivo != ""){ 
		$('#mensagem').html('Aguarde...');
		var cliente = $('#clienteLib').val();
		var sistema = $('#sistemaLib').val();
		var motivo = $('#motivoLibSis').val();
		$.post('../Servico.php',{ metodo:'GerenciadorClientes.liberarSistema',cliente:cliente,sistema:sistema,motivo:motivo},
				function(data){ $('#mensagem').html('Sistema liberado com sucesso!'); $('#dialogLiberarSistema').dialog('close'); exibirSistemas(cliente); });
	} else { 
		$("#msgLibSis").html("Campo obrigatório!");
	}
	
}
function bloquearSistema(cliente, sistema){
	$('#mensagem').html('Aguarde...');
	$.post('../Servico.php',{ metodo:'GerenciadorClientes.bloquearSistema',cliente:cliente,sistema:sistema},
			function(data){ $('#mensagem').html('Sistema bloqueado com sucesso!'); exibirSistemas(cliente); });
}
</script>
<?php
$cliente = (!empty($_POST['cliente']) ? $_POST['cliente'] : "");
$display = ($_POST['nivel'] == '2' ? 'block' : 'none');
if($cliente != ""){
	include '../beans/GerenciadorClientes.class.php';
	$clienteMB = new GerenciadorClientes();
	$sistemas = $clienteMB->getSistemas($cliente);
	$cliente = (!empty($sistemas) ? $sistemas[0]->getNomeCliente() : "");
?>
<div class="ui-wiget ui-widget-content ui-corner-top menus azul" align="center"><strong><?php echo utf8_encode($cliente); ?></strong></div>
<div class="formulario" id="sistemasCliente">
<table cellspacing="0" cellpadding="3" width="100%" class="detalheSistemas">
<thead class="ui-widget ui-widget-header"><tr><td>Sistema</td><td>Implantação</td><td>Responsável</td><td>Contador</td><td>Liberado</td><td>Opções</td></tr></thead>
<tbody>
<?php
foreach($sistemas as $s){
	$liberado = ($s->getLiberado() == "S" ? "<span class=\"liberado\">SIM</span>" : "<span class=\"bloqueado\">NÃO</span>");
	echo "<tr><td>".utf8_encode($s->getNomeSistema())."</td><td>".$s->getData_implantacao()."</td><td>".utf8_encode($s->getResponsavel())."</td><td>".utf8_encode($s->getContador())."</td><td align=\"center\">".$liberado."</td><td align=\"center\"><span style=\"display:$display\">";
	if($s->getLiberado() == "N") { echo "<img src=\"../imagens/libSistema.png\" title=\"Liberar sistema\" onclick=\"liberar(".$s->getId_cliente().",".$s->getId_sistema().");\"/>"; }
	else { echo "<img src=\"../imagens/bloqSistema.png\" title=\"Bloquear sistema\" onclick=\"bloquearSistema(".$s->getId_cliente().",".$s->getId_sistema().");\"/>"; }
	echo "</span></td></tr>";
}
?>
</tbody>
</table>
<div class="ui-widget">
    <div class="ui-state-highlight ui-corner-bottom mensagem">
    	<strong id="mensagem"></strong>
    </div>
</div>

<div id="dialogLiberarSistema" title="Liberar Sistema">
    <input type="hidden" id="sistemaLib"/>
    <input type="hidden" id="clienteLib"/>
    <div class="ui-widget ui-widget-content ui-corner-top menus formulario" align="center">
    <strong>*Motivo :</strong>
    <input type="text" maxlength="100" name="motivo" id="motivoLibSis" class="ui-widget ui-widget-content ui-corner-right campo"/>
    </div>
    <div align="center" id="msgLibSis"></div>
    <div class="ui-widget ui-widget-content ui-corner-bottom menus" align="center">
        <input type="button" value="Cancelar" class="ui-button ui-widget ui-widget-header ui-corner-all" onclick="javascript: $('#dialogLiberarSistema').dialog('close');" />
        <input type="button" value="Liberar" class="ui-button ui-widget ui-widget-header ui-corner-all" onclick="liberarSistema();"/>
    </div>
</div>
<?php } ?>